Botan: Botan::PK_Ops::Verification Class Reference

Botan 1.10.16

Public Member Functions | List of all members
Botan::PK_Ops::Verification Class Referenceabstract

`#include <pk_ops.h>`

Inheritance diagram for Botan::PK_Ops::Verification:

## Public Member Functions
virtual size_t | max_input_bits () const =0
virtual size_t | message_part_size () const
virtual size_t | message_parts () const
virtual bool | verify (const byte[], size_t, const byte[], size_t)
virtual SecureVector< byte > | verify_mr (const byte[], size_t)
virtual bool | with_recovery () const =0
virtual | ~Verification ()

## Detailed Description

Public key signature verification interface

Definition at line 85 of file pk_ops.h.

## Constructor & Destructor Documentation

## ◆ ~Verification()

virtual Botan::PK_Ops::Verification::~Verification | ( |  | ) |
| inlinevirtual

Definition at line 139 of file pk_ops.h.

139 {}

## Member Function Documentation

## ◆ max_input_bits()

virtual size_t Botan::PK_Ops::Verification::max_input_bits | ( |  | ) | const
| pure virtual

Get the maximum message size in bits supported by this public key.

Returns
  maximum message in bits

Implemented in Botan::ECDSA_Verification_Operation, Botan::RSA_Public_Operation, Botan::RW_Verification_Operation, Botan::DSA_Verification_Operation, and Botan::NR_Verification_Operation.

## ◆ message_part_size()

virtual size_t Botan::PK_Ops::Verification::message_part_size | ( |  | ) | const
| inlinevirtual

Find out the message part size supported by this scheme/key.

Returns
  size of the message parts

Reimplemented in Botan::ECDSA_Verification_Operation, Botan::DSA_Verification_Operation, and Botan::NR_Verification_Operation.

Definition at line 104 of file pk_ops.h.

104 { return 0; }

## ◆ message_parts()

virtual size_t Botan::PK_Ops::Verification::message_parts | ( |  | ) | const
| inlinevirtual

Find out the number of message parts supported by this scheme.

Returns
  number of message parts

Reimplemented in Botan::ECDSA_Verification_Operation, Botan::DSA_Verification_Operation, and Botan::NR_Verification_Operation.

Definition at line 98 of file pk_ops.h.

98 { return 1; }

## ◆ verify()

virtual bool Botan::PK_Ops::Verification::verify | ( | const byte | [],
|  | size_t | ,
|  | const byte | [],
|  | size_t |
| ) |  |
| inlinevirtual

Reimplemented in Botan::ECDSA_Verification_Operation, and Botan::DSA_Verification_Operation.

Definition at line 120 of file pk_ops.h.

122 {
123 throw Invalid_State("Message recovery required");
124 }

## ◆ verify_mr()

virtual SecureVector<byte> Botan::PK_Ops::Verification::verify_mr | ( | const byte | [],
|  | size_t |
| ) |  |
| inlinevirtual

Reimplemented in Botan::RSA_Public_Operation, Botan::RW_Verification_Operation, and Botan::NR_Verification_Operation.

Definition at line 133 of file pk_ops.h.

135 {
136 throw Invalid_State("Message recovery not supported");
137 }

## ◆ with_recovery()

virtual bool Botan::PK_Ops::Verification::with_recovery | ( |  | ) | const
| pure virtual

Returns
  boolean specifying if this key type supports message recovery and thus if you need to call verify() or verify_mr()

Implemented in Botan::ECDSA_Verification_Operation, Botan::RSA_Public_Operation, Botan::RW_Verification_Operation, Botan::DSA_Verification_Operation, and Botan::NR_Verification_Operation.

The documentation for this class was generated from the following file:

- src/pubkey/pk_ops.h